|  | Home · All Classes · Modules

# QTextStream.NumberFlags Class Reference
[QtCore module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, NumberFlags)

### Special Methods

- NumberFlags __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, NumberFlags f)
- NumberFlags __iand__ (self, int f)
- int __int__ (self)
- NumberFlags __invert__ (self)
- NumberFlags __ior__ (self, int f)
- NumberFlags __ixor__ (self, int f)
- bool __ne__ (self, NumberFlags f)
- NumberFlags __or__ (self, int f)
- NumberFlags __xor__ (self, int f)

## Detailed Description

NumberFlag may be used whenever NumberFlags is expected.

## Method Documentation

### NumberFlags.__init__ (self)

### NumberFlags.__init__ (self, int f)

### NumberFlags.__init__ (self, NumberFlags)

### NumberFlags NumberFlags.__and__ (self, int f)

### int NumberFlags.__bool__ (self)

### bool NumberFlags.__eq__ (self, NumberFlags f)

### NumberFlags NumberFlags.__iand__ (self, int f)

### int NumberFlags.__int__ (self)

### NumberFlags NumberFlags.__invert__ (self)

### NumberFlags NumberFlags.__ior__ (self, int f)

### NumberFlags NumberFlags.__ixor__ (self, int f)

### bool NumberFlags.__ne__ (self, NumberFlags f)

### NumberFlags NumberFlags.__or__ (self, int f)

### NumberFlags NumberFlags.__xor__ (self, int f)